'use strict';

var OrcamentoBDIExplicitoSinteticoController = angular.module('OrcamentoBDIExplicitoSinteticoController', []);

OrcamentoBDIExplicitoSinteticoController.controller('OrcamentoBDIExplicitoSinteticoCtrl', ['$scope', '$filter', 'Relatorio', 'CacheApp',
  ($scope, $filter, Relatorio, CacheApp) => {
    $scope.construcao = CacheApp.getConstrucao();

    $scope.getOrcamentoBDIExplicitoSintetico = () => {
        $scope.planejado = {};
        Relatorio.getOrcamentoBDIExplicitoSintetico($scope.construcao.Id,
            (data) => {
                $scope.planejado = data.Instance;
                if (data.Instance)
                    $scope.construcao.ValorBDI = data.Instance.ValorFinal;
            });
    }
    $scope.getOrcamentoBDIExplicitoSintetico();

    $scope.pdfOrcamentoBDIExplicitoSintetico = () => {
        var cabecalho = {
            Avatar: $scope.construcao.ContaAvatar,
            Obra: $scope.construcao.Titulo,
            Conta: $scope.construcao.Conta,
            DataInicio: $filter("date")($scope.construcao.DataInicio, 'dd/MM/yyyy'),
            DataFim: $filter("date")($scope.construcao.DataFim, 'dd/MM/yyyy'),
            Moeda: $scope.construcao.Moeda
        };

        Relatorio.pdfOrcamentoBDIExplicitoSintetico($scope.construcao.Id, cabecalho,
            (data) => {
                window.location.assign(data.Instance);
            });
    }

    $scope.xlsOrcamentoBDIExplicitoSintetico = () => {
    var cabecalho = {
        Avatar: $scope.construcao.ContaAvatar,
        Obra: $scope.construcao.Titulo,
        Conta: $scope.construcao.Conta,
        DataInicio: $filter("date")($scope.construcao.DataInicio, 'dd/MM/yyyy'),
        DataFim: $filter("date")($scope.construcao.DataFim, 'dd/MM/yyyy'),
        Moeda: $scope.construcao.Moeda
    };

    Relatorio.xlsOrcamentoBDIExplicitoSintetico($scope.construcao.Id, cabecalho,
        (data) => {
            window.location.assign(data.Instance);
        });
    }
}]);
